Draft BezCurve.png Draft BezCurve

Menu location
Draft -> BezCurve
Workbenches
Draft, Arch
Default shortcut
B Z
See also
None


Description

The BezCurve tool creates a Bezier Curve (or a piecewise Bezier Curve) from several points in the current work plane. It takes the linewidth and color previously set on the Tasks tab.

The object is created as a single Bezier Curve of degree (number_of_points - 1). This can be changed to a piecewise Bezier Curve of a specified degree after creation using the properties editor. Bezier Curves can be edited using Draft Edit.png Draft Edit.

Draft BezCurve Example.png

How to use

  1. Press the Draft BezCurve.png Draft BezCurve button, or press B then Z keys.
  2. Click a first point on the 3D view, or type a coordinate
  3. Click additional point on the 3D view, or type a coordinate
  4. Press F or C, or double-click the last point, or click on the first point to finish and close the curve.

Options

  • Press F or the Draft FinishLine.png Finish button to finish the spline, leaving it open
  • Press C or the Draft CloseLine.png Close button or click on the first point to finish the spline, but making it closed by adding a last segment between the last point and the first one.
  • Press X, Y or Z after a point to constrain the next point on the given axis.
  • To enter coordinates manually, simply enter the numbers, then press ENTER between each X, Y and Z component.
  • Press R or click the checkbox to check/uncheck the Relative button. If relative mode is on, the coordinates of the next point are relative to the last one. If not, they are absolute, taken from the (0,0,0) origin point.
  • Press T or click the checkbox to check/uncheck the Continue button. If continue mode is on, the BezCurve tool will restart after you finish or close it, allowing you to draw another one without pressing the BezCurve button again.
  • Press CTRL while drawing to force snapping your point to the nearest snap location, independently of the distance.
  • Press SHIFT while drawing to constrain your next point horizontally or vertically in relation to the last one.
  • Press W or press the Draft Wipe.png Wipe button to remove the existing segments and start the spline from the last point.
  • Press CTRL+Z or press the Draft UndoLine.png Undo button to undo the last point.
  • Press ESC or the Cancel button to abort the current BezCurve command.

Properties

  • DATAClosed: Specifies if the Bezier Curve is closed or not
  • DATADegree: Specifies the degree of the Bezier Curve (or segments)

Scripting

The BezCurve tool can by used in macros and from the python console by using the following function:

makeBezCurve(pointslist,[closed],[placement],[support],[degree]) 
  • Create a Bezier Curve object from the given list of vectors. Instead of a pointslist, you can also pass a Part Wire.

Example:

import FreeCAD,Draft
myFeature = Draft.makeBezCurve(Draft.makeBezCurve(points,False) 

Contraining Nodes

The segment endpoints in a piecewise Bezier Curve can be constrained such that adjacent control points are tangent or symmetric to the segments at the endpoint. This is done after object creation using Draft Edit.png Draft Edit.

  • Draft BezSharpNode.svg Sharp - remove constraints
  • Draft BezTanNode.svg Tangent - force adjacent control points to be tangent
  • Draft BezSymNode.svg Symmetric - force adjacent control points to be tangent and equi-distant

Limitations

  • This tool is not available before FreeCAD version 0.14
  • The Points Property does not yet appear in the properties list.
  • OpenCascade does not support Bezier Curve with degree > 25. This should not be a problem in practice.
Other languages:
čeština • ‎Deutsch • ‎English • ‎français • ‎italiano • ‎polski • ‎русский • ‎svenska • ‎Türkçe